<!-- OLD FUNCTIONS ! - should be removed later -->
{% extends 'order/order_detail_base.html' %}
{% load static %}
{% load humanize %}

{% block content %}
  <div id="box" class="box box_card box_l">
    <div class="data-table data-table_default">
      {% if field_perms.order.filial %}
        <div class="data-table__item">
          <div class="data-table__var">филиал</div>
            <div class="data-table__val">
              {{ order.filial.name |default_if_none:'-'}}
                <br>
            </div>
        </div>
      {% endif %}
      {% if field_perms.order.number_buh %}
        <div class="data-table__item">
          <div class="data-table__var">номер договора</div>
          <div class="data-table__val">{{ order.number_buh|default_if_none:'-' }}</div>
        </div>
      {% endif %}
      {% if field_perms.order.client %}
        <div class="data-table__item">
          <div class="data-table__var">клиент</div>
          <div class="data-table__val">
            <a class="link link_title nowrap" {% if perms.core.view_user and order.client %}href="{% url 'user:user_detail' order.client.id %}"{% endif %}>{{ order.client.full_name|default:'-' }}</a>
          </div>
        </div>
      {% endif %}
      {% if field_perms.order.client %}
        <div class="data-table__item">
          <div class="data-table__var">телефон</div>
          <div class="data-table__val">
            <p class="link link_title nowrap">{{ order.client.phone|default:'-' }}</p>
          </div>
        </div>
      {% endif %}
      {% if field_perms.order.order_type %}
        <div class="data-table__item">
          <div class="data-table__var">услуга</div>
          <div class="data-table__val">{{ order.get_order_type_display }}</div>
        </div>
      {% endif %}
      {% if field_perms.order.cost %}
        <div class="data-table__item">
          <div class="data-table__var">стоимость</div>
          <div class="data-table__val">{{ order.cost|default_if_none:0|intcomma  }} ₽</div>
        </div>
      {% endif %}
      {% if field_perms.order.paid %}
        <div class="data-table__item">
          <div class="data-table__var">оплачено</div>
          <div class="data-table__val">{{ order.paid|default_if_none:0|intcomma }} ₽</div>
        </div>
      {% endif %}
      {% if field_perms.order.with_client %}
        <div class="data-table__item">
          <div class="data-table__var">в присутствии клиента</div>
          <div class="data-table__val">{% if order.with_client %} да {% else %} нет {% endif %}</div>
        </div>
      {% endif %}
      {% if field_perms.order.operator %}
        <div class="data-table__item">
          <div class="data-table__var">операторы</div>
        {% if order.operator %}
          <div class="data-table__val">
            {% for o in order.operator.all %}
              <a class="link link_title nowrap" {% if perms.core.view_user %}href="{% url 'user:user_detail' o.id %}" {% endif %}>{{ o.get_full_name }}</a> <br>
            {% endfor %}
          </div>
        {% else %}
          <div class="data-table__val">-</div>
        {% endif %}
        </div>
      {% endif %}
      {% if field_perms.order.expert %}
        <div class="data-table__item">
          <div class="data-table__var">эксперты по подбору</div>
          {% if order.expert.all %}
            <div class="data-table__val">
              {% for e in order.expert.all %}
                <a class="link link_title nowrap" {% if perms.core.view_user %}href="{% url 'user:user_detail' e.id %}" {% endif %}>{{ e.get_full_name }}</a><br>
              {% endfor %}
            </div>
          {% else %}
            <div class="data-table__val">-</div>
          {% endif %}
        </div>
      {% endif %}
      {% if field_perms.order.expert_check %}
        <div class="data-table__item">
          <div class="data-table__var">эксперты на перепроверке</div>
          {% if order.expert_check.all %}
            <div class="data-table__val">
              {% for e in order.expert_check.all %}
                <a class="link link_title nowrap" {% if perms.core.view_user %}href="{% url 'user:user_detail' e.id %}"{% endif %}>{{ e.get_full_name }}</a><br>
              {% endfor %}
            </div>
          {% else %}
            <div class="data-table__val">-</div>
          {% endif %}
        </div>
      {% endif %}
      {% if field_perms.order.transferring %}
        <div class="data-table__item">
          <div class="data-table__var">эксперты на сдаче</div>
          {% if order.transferring.all %}
            <div class="data-table__val">
              {% for t in order.transferring.all %}
                <a class="link link_title nowrap" {% if perms.core.view_user %}href="{% url 'user:user_detail' t.id %}"{% endif %}>{{ t.get_full_name }}</a><br>
              {% endfor %}
            </div>
          {% else %}
            <div class="data-table__val">-</div>
          {% endif %}
        </div>
      {% endif %}
    </div>
    {% if field_perms.order.comment %}
      <div class="order-detail__comment editor">
        <p>{{ order.comment|default_if_none:"" }}</p>
      </div>
    {% endif %}
  </div>
{% endblock %}
